## dkopp 5.7

=== Makefile ===
# dkopp makefile 

PROGRAM = dkopp
VERSION = 5.7
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr/local

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LFLAGS = $(LDFLAGS) `pkg-config --libs gtk+-2.0 gthread-2.0`

BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/$(PROGRAM)
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
ICONDIR = $(DATADIR)/icons
DESKTOP = $(DATADIR)/kornelix-$(PROGRAM).desktop

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\""

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc	\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\"" -D "BINDIR=\"$(BINDIR)\""

install: $(PROGRAM)
	mkdir -p $(DESTDIR)$(DOCDIR)
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(ICONDIR)
	mkdir -p $(DESTDIR)$(MANDIR)
	cp -f -R doc/* $(DESTDIR)$(DOCDIR)
	cp -f icons/* $(DESTDIR)$(ICONDIR)
	cp -f $(PROGRAM) $(DESTDIR)$(BINDIR)
	@ echo use make menu to install desktop menu
	@ echo use make manpage to install man page

menu:
	cp -f desktop $(DESTDIR)$(DESKTOP)
	echo Exec=$(DESTDIR)$(BINDIR)/$(PROGRAM) >> $(DESTDIR)$(DESKTOP)
	echo Icon=$(DESTDIR)$(ICONDIR)/$(PROGRAM).png >> $(DESTDIR)$(DESKTOP)
	xdg-desktop-menu install $(DESTDIR)$(DESKTOP)

manpage:
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp -f $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz

uninstall:
	xdg-desktop-menu uninstall $(DESTDIR)$(DESKTOP)
	rm -f $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f $(DESTDIR)$(DOCDIR)
	rm -R -f $(DESTDIR)$(DATADIR)

clean: 
	rm -f $(PROGRAM)
	rm -f *.o

=== debian/changelog ===
dkopp (5.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Feb 2011 12:39:59 +0100

dkopp (5.6-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update manpage.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Dec 2010 11:30:15 +0100

dkopp (5.5-2) unstable; urgency=low

  * Update desktop file.
  * Pass -Wl,--as-needed to the linker.
  * Fix the linking order to make GCC set LDFLAGS properly.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Nov 2010 00:12:11 +0100

dkopp (5.5-1) unstable; urgency=low

  * New upstream release:
    - Bugfix: -script and -nogui failed to work if script is verify only.
    - Improved diagnostics and progress monitoring for -nogui option.
  * Add dependency on udev.
  * Add local-options file.
  * Add sign-tags = True in debian/gbp.conf
  * Add manpage.

 -- Alessio Treglia <alessio@debian.org>  Tue, 21 Sep 2010 10:18:13 +0200

dkopp (5.4-1) unstable; urgency=low

  * Initial release (Closes: #594321).

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Aug 2010 00:56:09 +0200

=== debian/control ===
Source: dkopp
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libgtk2.0-dev,
 libglib2.0-dev
Standards-Version: 3.9.1
Homepage: http://kornelix.squarespace.com/dkopp/
Vcs-Git: git://git.debian.org/collab-maint/dkopp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dkopp.git

Package: dkopp
Architecture: any
Depends: ${shlibs:Depends},
 udev,
 ${misc:Depends}
Description: Full and incremental backup to DVD
 Dkopp is a program used to copy or back-up disk files to DVD or
 BD (Blue-ray) media. Full or incremental backups can be done,
 with full or incremental media verification. A GUI is used to
 navigate through directories to select or de-select files or
 directories at any level. Backup jobs can be saved for later re-use.
 New, deleted, and updated disk files are handled automatically,
 without re-editing the backup job. An incremental backup updates
 the same DVD/BD media used for a prior full backup. Files can be
 restored to the same or another location on disk. Large backup
 jobs can be done using multiple DVD media.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dkopp/ install
	rm -f \
		$(CURDIR)/debian/dkopp/usr/share/doc/dkopp/COPYING \
		$(CURDIR)/debian/dkopp/usr/share/doc/dkopp/CHANGES
	chmod -x $(CURDIR)/debian/dkopp/usr/share/dkopp/icons/*
	cp desktop \
		$(CURDIR)/debian/dkopp/usr/share/applications/dkopp.desktop

## dkopp 5.8

=== Makefile ===
# dkopp makefile 

PROGRAM = dkopp
VERSION = 5.8
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE1 = $(DATADIR)/desktop
MENUFILE2 = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LFLAGS = $(LDFLAGS) `pkg-config --libs gtk+-2.0 gthread-2.0`

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc

install: $(PROGRAM)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f  data/* $(DESTDIR)$(DATADIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file
	echo Exec=/usr/bin/$(PROGRAM) >> $(MENUFILE1)
	echo Icon=/usr/share/$(PROGRAM)/icons/$(PROGRAM).png >> $(MENUFILE1)
	cp $(MENUFILE1) $(DESTDIR)$(MENUFILE2)
	@ echo "*** use make menu to install the desktop menu"

menu:
	xdg-desktop-menu install $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(MENUFILE2)
	rm -f  $(MENUFILE2)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
dkopp (5.8-1) unstable; urgency=low

  * Imported Upstream version 5.8:
    - Growisofs always returns a bad status for Blue-Ray media, even though
      they are always OK (so far). The user message was changed to state that
      the media is likely OK and give the option to continue accordingly.
      The verify phase will determine the true media status afterwards.
  * Delete debian/dkopp.{1,manpages}, a manpage is now provided by upstream.
  * debian/{patches/*,rules}:
    - Let Makefile handle substitutions in the desktop file.
    - Let Makefile install the desktop file.
  * debian/patches/03-manpage.patch:
    - "-" must be escaped ("\-") to be interpreted as minus.
  * Depends on dvd+rw-tools.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 May 2011 14:10:09 +0200

## dkopp 5.9.1

=== Makefile ===
# dkopp makefile 

PROGRAM = dkopp
VERSION = 5.9.1
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"

install: $(PROGRAM)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f  data/* $(DESTDIR)$(DATADIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file (absolute paths to get around rpmbuild problem)
	cp -f data/desktop $(DESTDIR)$(MENUFILE)
	echo Exec=/usr/bin/$(PROGRAM) >> $(DESTDIR)$(MENUFILE)
	echo Icon=/usr/share/$(PROGRAM)/icons/$(PROGRAM).png >> $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
dkopp (5.9.1-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd (Closes: #637891) and set dependency on udev to
    linux-any only, credits to Cristoph Egger for the report and patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Aug 2011 09:34:48 +0200

dkopp (5.9.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh 02-makefile.patch.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 11:53:44 +0200

dkopp (5.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove 03-manpage.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Mon, 08 Aug 2011 13:02:27 +0200

=== debian/watch ===
version=3
http://kornelix.squarespace.com/downloads/ \
	/storage/downloads/dkopp-(.*)\.tar\.gz

## dkopp 5.9.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # dkopp makefile 
 
 PROGRAM = dkopp
-VERSION = 5.9.1
+VERSION = 5.9.2
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined

=== debian/changelog ===
dkopp (5.9.2-1) unstable; urgency=low

  * New upstream release:
    - Compensation added for hung DVD/BD drive after growisofs is done.
      The drive can become unresponsive (ignores mount commands), but
      ejecting and reloading cures the problem and allows the verify
      operation to proceed.
  * Refresh 03-nonlinux_ftbfs.patch

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Aug 2011 10:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pkg-config,
  libgtk2.0-dev,
  libglib2.0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/dkopp/
 Vcs-Git: git://git.debian.org/collab-maint/dkopp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dkopp.git
@@ -14,7 +14,8 @@
 Package: dkopp
 Architecture: any
 Depends: ${shlibs:Depends},
- udev,
+ udev [linux-any],
+ dvd+rw-tools,
  ${misc:Depends}
 Description: Full and incremental backup to DVD
  Dkopp is a program used to copy or back-up disk files to DVD or

## dkopp 6.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # dkopp makefile 
 
 PROGRAM = dkopp
-VERSION = 5.9.2
+VERSION = 6.0
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
@@ -12,7 +12,6 @@
 # target install directories
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/$(PROGRAM)
-DATADIR = $(SHAREDIR)/data
 ICONDIR = $(SHAREDIR)/icons
 DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
 MANDIR = $(PREFIX)/share/man/man1
@@ -32,13 +31,11 @@
 
 install: $(PROGRAM)
 	mkdir -p  $(DESTDIR)$(BINDIR)
-	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
 	mkdir -p  $(DESTDIR)$(DOCDIR)
 	mkdir -p  $(DESTDIR)$(MANDIR)
 	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
 	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
-	cp -f  data/* $(DESTDIR)$(DATADIR)
 	cp -f  icons/* $(DESTDIR)$(ICONDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	# man page
@@ -46,10 +43,8 @@
 	gzip -f -9 $(PROGRAM).1
 	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
 	rm -f $(PROGRAM).1.gz
-	# menu (desktop) file (absolute paths to get around rpmbuild problem)
-	cp -f data/desktop $(DESTDIR)$(MENUFILE)
-	echo Exec=/usr/bin/$(PROGRAM) >> $(DESTDIR)$(MENUFILE)
-	echo Icon=/usr/share/$(PROGRAM)/icons/$(PROGRAM).png >> $(DESTDIR)$(MENUFILE)
+	# menu (desktop) file 
+	cp -f desktop $(DESTDIR)$(MENUFILE)
 	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)
 
 uninstall:

=== debian/changelog ===
dkopp (6.0-2) unstable; urgency=low

  * Imported patch 03-fix-include-gtk-as-FTBFS.patch from Ubuntu,
    fixes FTBFS including gtk.h before pthread redefinitions.
  * Refreshed existing patches.
 
 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 07 Jan 2012 11:51:53 +0100

dkopp (6.0-1) unstable; urgency=low

  * Imported Upstream version 6.0
  * Refresh 01-desktop_file.patch
  * Refresh 02-makefile.patch
  * Drop patch 03-nonlinux_ftbfs.patch. Changes are now in upstream
  * New maintainer (Closes: #650446)

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 11 Dec 2011 11:01:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dkopp
 Section: admin
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  libgtk2.0-dev,

## dkopp 6.2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # dkopp makefile 
 
 PROGRAM = dkopp
-VERSION = 6.0
+VERSION = 6.2
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS ?= -O3 -g -Wall
+CXXFLAGS ?= -O3 -g -Wall -Wno-deprecated-declarations
 LDFLAGS ?= -O3 -g -Wall -rdynamic
 PREFIX ?= /usr
 
@@ -17,8 +17,8 @@
 MANDIR = $(PREFIX)/share/man/man1
 MENUFILE = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop
 
-CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
-LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`
+CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
+LIBS = `pkg-config --libs gtk+-3.0`
 
 $(PROGRAM): $(PROGRAM).o zfuncs.o
 	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)

=== debian/changelog ===
dkopp (6.2-1) unstable; urgency=low

  * Importe Upstream version 6.2 (Closes: #668484)
  * debian/patches:
    + removed 03-fix-include-gtk-as-FTBFS.patch, changes are 
      now in upstream
    + added 03-fix-include-hurd.patch, fixes FTBFS with hurd, 
      thanks to Cyril Roelandt (Closes: #670992)
    + refreshed old patches.
  * Bump standards version to 3.9.3:
    + update copyright format

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 23 May 2012 12:28:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kornelix.squarespace.com/dkopp/
 Vcs-Git: git://git.debian.org/collab-maint/dkopp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dkopp.git

## dkopp 6.3.1

=== Makefile ===
# dkopp makefile 

PROGRAM = dkopp
VERSION = 6.3.1
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall 
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
LIBS = `pkg-config --libs gtk+-3.0`

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o -o $(PROGRAM) $(LIBS) -lpthread 

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc \
          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"   \
          -Wno-deprecated-declarations 

install: $(PROGRAM)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file 
	cp -f desktop $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
dkopp (6.3.1-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.
  * Update project homepage url.
  * Refreshed old patches.
  * Fix VCS URLs.
  * Use debhelper 9 for hardering.
  * Drop 03-fix-include-hurd.patch, now in upstream.
  * debian/dkopp.doc-base:
    + Fix index filename
  * 01-desktop_file.patch: added keywords.
  * new 03-fix-ftbfs-underlink.patch: Added missing pthread 
    lib to link, fixing FTBFS on armhf.
    Thanks to Daniel T Chen (closes: #713647).
      
 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 09 Jul 2013 17:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Leo Iannacone <l3on@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.3
-Homepage: http://kornelix.squarespace.com/dkopp/
-Vcs-Git: git://git.debian.org/collab-maint/dkopp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dkopp.git
+Standards-Version: 3.9.4
+Homepage: http://www.kornelix.com/dkopp.html
+Vcs-Git: git://anonscm.debian.org/collab-maint/dkopp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dkopp.git
 
 Package: dkopp
 Architecture: any

=== debian/watch ===
version=3
http://www.kornelix.com/tarballs.html \
  /uploads/.*/dkopp-(.*)\.tar\.gz

## dkopp 6.5

=== Makefile ===
# dkopp makefile 

PROGRAM = dkopp
VERSION = 6.5
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O2 -Wall -ggdb 
LDFLAGS ?= -rdynamic -lpthread
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
LIBS = `pkg-config --libs gtk+-3.0` -lpthread

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)  

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc \
          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\" 

install: $(PROGRAM)
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)
	chmod +x $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install --novendor $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
dkopp (6.5-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #987089)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 09:48:40 -0300

dkopp (6.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use blkid instead of volname. (Closes: #787425)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 May 2020 20:06:12 +0000

dkopp (6.5-1) unstable; urgency=medium

  * New upstream release.
  * Update 02-makefile.patch

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 06 Jun 2014 14:26:25 +0200

dkopp (6.4-1) unstable; urgency=medium

  * Imported Upstream version 6.4
  * Bump Standards-Version to 3.9.5
  * Refreshed old patches
  * Removed 03-fix-ftbfs-underlink.patch. Applied upstream.
  * Updated source reference uri in debian/copyright.

 -- Leo Iannacone <l3on@ubuntu.com>  Mon, 03 Mar 2014 20:09:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dkopp
 Section: admin
 Priority: optional
-Maintainer: Leo Iannacone <l3on@ubuntu.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kornelix.com/dkopp.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/dkopp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dkopp.git

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,3 @@
 		$(CURDIR)/debian/dkopp/usr/share/doc/dkopp/COPYING \
 		$(CURDIR)/debian/dkopp/usr/share/doc/dkopp/CHANGES
 	chmod -x $(CURDIR)/debian/dkopp/usr/share/dkopp/icons/*
-	cp desktop \
-		$(CURDIR)/debian/dkopp/usr/share/applications/dkopp.desktop

## dkopp 7.7

=== Makefile ===
# dkopp make file

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/

LIBS = `pkg-config --libs gtk+-3.0` -lpthread -lclutter-1.0 -lclutter-gtk-1.0

dkopp: dkopp.o zfuncs.o
	$(CXX) $(LDFLAGS) -o dkopp dkopp.o zfuncs.o $(LIBS)  \

dkopp.o: dkopp.cc
	$(CXX) $(CFLAGS) -o dkopp.o dkopp.cc  \

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc  \

# target install directories
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/dkopp
MANDIR = $(PREFIX)/share/man/man1
MENUDIR = $(PREFIX)/share/applications
SHAREDIR = $(PREFIX)/share/dkopp
DATADIR = $(SHAREDIR)/data
IMAGEDIR = $(SHAREDIR)/images
ICONDIR = $(SHAREDIR)/icons

install: dkopp uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR) 
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(IMAGEDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	cp -f  dkopp $(DESTDIR)$(BINDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
	# man page
	gzip -fk -9 doc/dkopp.man
	mv -f doc/dkopp.man.gz $(DESTDIR)$(MANDIR)/dkopp.1.gz
	# desktop file and icon
	cp -f dkopp.desktop $(DESTDIR)$(MENUDIR)
	cp -f dkopp.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/dkopp
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/dkopp.*
	rm -f  $(DESTDIR)$(MENUDIR)/dkopp.*
	rm -f -R  $(DESTDIR)$(SHAREDIR)

clean: 
	rm -f  dkopp
	rm -f  *.o

=== debian/changelog ===
dkopp (7.7-1) unstable; urgency=medium

  * QA upload.

  [ Hill Ma ]
  * New upstream release.
  * Bumped Standards-Version to 4.5.1.
  * Bumped debhelper compatibility level to 13.
  * Removed 02-makefile.patch. No longer applicable.
  * Updated other patches.
  * Added lshw as a dependency.
  * Added libclutter-gtk-1.0-dev as a build dependency.
  * Vcs-Git and Vcs-Browser updated to dkopp Salsa repository.
  * User guide is in text instead of HTML due to upstream change.

  [ Petter Reinholdtsen ]
  * Use secure copyright file specification URI.
  * Use secure URI in Vcs control header Vcs-Git.
  * Fix field name typo in debian/copyright (X-Comment ⇒ Comment).
  * Fix broken Vcs URL.
  * Update standards version to 4.7.0, no changes needed.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Removed superflous file pattern in d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 May 2024 20:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: admin
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
- pkg-config,
- libgtk-3-dev,
- libglib2.0-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13),
+               libclutter-gtk-1.0-dev,
+               libglib2.0-dev,
+               libgtk-3-dev,
+               pkgconf,
+Standards-Version: 4.7.0
 Homepage: http://www.kornelix.com/dkopp.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/dkopp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dkopp.git
+Vcs-Git: https://salsa.debian.org/debian/dkopp.git
+Vcs-Browser: https://salsa.debian.org/debian/dkopp
 
 Package: dkopp
 Architecture: any
-Depends: ${shlibs:Depends},
- udev [linux-any],
- dvd+rw-tools,
- ${misc:Depends}
+Depends: dvd+rw-tools,
+         lshw,
+         udev [linux-any],
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Full and incremental backup to DVD
  Dkopp is a program used to copy or back-up disk files to DVD or
  BD (Blue-ray) media. Full or incremental backups can be done,

## dkopp 8.2

=== Makefile ===
# dkopp make file

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
CXXFLAGS += -fpermissive -Wno-write-strings  

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/

LIBS = `pkg-config --libs gtk+-3.0` -lpthread -lclutter-1.0 -lclutter-gtk-1.0

dkopp: dkopp.o zfuncs.o
	$(CXX) $(LDFLAGS) -o dkopp dkopp.o zfuncs.o $(LIBS)  \

dkopp.o: dkopp.cc
	$(CXX) $(CFLAGS) -o dkopp.o dkopp.cc  \

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc  \

# install application files in standard locations
PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
MENUDIR = $(PREFIX)/share/applications
DOCDIR = $(PREFIX)/share/doc/dkopp
MANDIR = $(PREFIX)/share/man/man1
DATADIR = $(PREFIX)/share/dkopp
ICONDIR = $(PREFIX)/share/icons
                                         
install: dkopp uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)

	cp -f dkopp $(DESTDIR)$(BINDIR)
	cp -f dkopp.desktop $(DESTDIR)$(MENUDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -fk -9 man/dkopp.man
	mv -f man/dkopp.man.gz $(DESTDIR)$(MANDIR)/dkopp.1.gz
	cp -f -R  data $(DESTDIR)$(DATADIR)
	cp -f -R  images $(DESTDIR)$(DATADIR)
	cp -f dkopp.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f     $(DESTDIR)$(BINDIR)/dkopp*
	rm -f     $(DESTDIR)$(MENUDIR)/dkopp*
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f     $(DESTDIR)$(MANDIR)/dkopp*
	rm -f -R  $(DESTDIR)$(DATADIR)
	rm -f     $(DESTDIR)$(ICONDIR)/dkopp*

clean:
	rm -f  dkopp
	rm -f  *.o

=== debian/changelog ===
dkopp (8.2-1) unstable; urgency=medium

  * New upstream version 8.2
  * Bump Standards-Version: 4.7.2
  * New maintainer, Closes: #987089
  * Refresh patches, add DEP-3 header for d/p/03-blkid.patch
  * d/rules: do clear, add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * d/copyright:
      - update upstream email and year info
      - delete outdated Source field
  * rm d/dirs, useless
  * d/control:
      - add Rules-Requires-Root: no
      - Depends: add growisofs, genisoimage
      - update Homepage to https://kornelix.net/dkopp/dkopp.html
  * delete d/dkopp.doc-base, not need

 -- xiao sheng wen <atzlinux@debian.org>  Thu, 24 Apr 2025 21:16:07 +0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: dkopp
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: xiao sheng wen <atzlinux@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libclutter-gtk-1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                pkgconf,
-Standards-Version: 4.7.0
-Homepage: http://www.kornelix.com/dkopp.html
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Homepage: https://kornelix.net/dkopp/dkopp.html
 Vcs-Git: https://salsa.debian.org/debian/dkopp.git
 Vcs-Browser: https://salsa.debian.org/debian/dkopp
 
 Package: dkopp
 Architecture: any
 Depends: dvd+rw-tools,
+         growisofs,
+         genisoimage,
          lshw,
          udev [linux-any],
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=/usr

%:
	dh $@

=== debian/watch ===
version=4

https://kornelix.net/downloads/downloads.html \
  (?:.*/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## dkopp 8.2.1

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,10 @@
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
    `$(PKG_CONFIG) --cflags gtk+-3.0`               \
-   -I/usr/include/clutter-1.0/                     \
    -I/usr/include/cogl/                            \
-   -I/usr/include/json-glib-1.0/                   \
-   -I/usr/include/clutter-gtk-1.0/
+   -I/usr/include/json-glib-1.0/
 
-LIBS = `pkg-config --libs gtk+-3.0` -lpthread -lclutter-1.0 -lclutter-gtk-1.0
+LIBS = `pkg-config --libs gtk+-3.0` -lpthread 
 
 dkopp: dkopp.o zfuncs.o
 	$(CXX) $(LDFLAGS) -o dkopp dkopp.o zfuncs.o $(LIBS)  \

=== debian/changelog ===
dkopp (8.2.1-2) unstable; urgency=medium

  * d/control: Build-Depends remove libclutter-gtk-1.0-dev, Closes: #1112201

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 30 Aug 2025 00:35:20 +0800

dkopp (8.2.1-1) unstable; urgency=medium

  * d/watch: add opts and add -source string to match upstream source code file
  * New upstream version 8.2.1, Closes: #1112201,
    upstream repacked with the same version 8.2, manually add minor version
  * d/p/03-blkid.patch: update for new upstream source code

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 29 Aug 2025 10:35:21 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: xiao sheng wen <atzlinux@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libclutter-gtk-1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                pkgconf,

=== debian/watch ===
version=4

opts="uversionmangle=s/source$//" \
https://kornelix.net/downloads/downloads.html \
  (?:.*/)@PACKAGE@@ANY_VERSION@-source@ARCHIVE_EXT@
